import {BaseTableRowRecord} from "@/types/components/table";

export interface PoliceUnitPagerQueryParams {
    /** 名称 **/
    name?: string;
    /** 代码 **/
    code?: string;
    /** 行政区划 **/
    administrativeDivisionCodes?: string[];
    /** 是否启用 **/
    isEnable?: BaseEnum<number>;
    /** 审核状态 **/
    checkStatus?: BaseEnum<number>;
}

export interface PoliceUnitPagerVo extends BaseTableRowRecord {
    /** 名称 **/
    name?: string;
    /** 代码 **/
    code?: string;
    /** 省编码 **/
    province?: string;
    /** 省名字 **/
    provinceName?: string;
    /** 市编码 **/
    city?: string;
    /** 市名字 **/
    cityName?: string;
    /** 区/县编码 **/
    districts?: string;
    /** 区/县名字 **/
    districtsName?: string;
    /** 街道编码 **/
    street?: string;
    /** 街道编码 **/
    streetName?: string;
    /** 详细地址 **/
    address?: string;
    /** 联系人 **/
    contactPersonInfo?: {
        name: string;
        telephone: string;
    };
    /** 是否启用 **/
    isEnable?: BaseEnum<number>;
    /** 审核状态 **/
    checkStatus?: BaseEnum<number>;
}
